
#ifndef _GETOPTION_H
#define _GETOPTION_H

#include <getopt.h>

typedef enum {
	t_non,
	t_int,
	t_chr
} optdatatype;

struct Get_long_options{
	const char *name;
	optdatatype has_arg;
	int *flag;
	int val;
	void *variable;
	const char *help;
};

class GetOption {
public:
	int status;

	GetOption(int argc, char **argv, struct Get_long_options *new_long_options);
	~GetOption();

	void help(int outdev);

private:
	int entries; /* number of entries in incomming struct */
	struct Get_long_options *glo;
	struct option *long_options;
	char *short_options;
};

#endif
