#ifndef _JOYCONSOLE_H
#define _JOYCCONSOLE_H

#include <linux/joystick.h>
#include "cconsole.h"

using namespace std;

class JoyConsole: public CConsole {
public:
	tape_key key_last;

	JoyConsole(char *joyname);
	~JoyConsole(void);
	tape_key getcommand(fd_set *read_set, tape_key lastcmd);
	int fd_set_read(fd_set *read_set);

	int flush(void){return 0;};
	int fd_set_write(fd_set *write_set){return 0;};
	int redraw(){return 0;};
	int setvolume(int newvol, int peakvol){return 0;};
	int showsegment(int num, unsigned char value){return 0;};
	int setbuttonon(button_name name){return 0;};
	int help(int outdev);

private:
	struct js_event js, js_old;
};

#endif


